"use strict";

const Promise = require("bluebird");

const promiseDelaySince = require("./");

let startTimestamp = Date.now();

Promise.try(() => {
	// Logs immediately after running
	console.log("Hello world 1");
	
	return promiseDelaySince(startTimestamp, 2000);
}).then(() => {
	// Logs 2 seconds after running
	console.log("Hello world 2");
	
	return promiseDelaySince(startTimestamp, 3000);
}).then(() => {
	// Logs 3 seconds after running
	console.log("Hello world 3");
});